Linux localhost 6.1.10-x86_64-linode159 #1 SMP PREEMPT_DYNAMIC Wed Feb 8 14:14:45 EST 2023 x86_64
Apache/2.4.25 (Debian)
Server IP : 45.33.61.127 & Your IP : 216.73.216.156
Domains :
Cant Read [ /etc/named.conf ]
User : www-data
Terminal
Auto Root
Create File
Create Folder
Localroot Suggester
Backdoor Destroyer
Readme
/
usr /
sbin /
Delete
Unzip
Name
Size
Permission
Date
Action
a2disconf
15.89
KB
-rwxr-xr-x
2019-06-16 09:49
a2dismod
15.89
KB
-rwxr-xr-x
2019-06-16 09:49
a2dissite
15.89
KB
-rwxr-xr-x
2019-06-16 09:49
a2enconf
15.89
KB
-rwxr-xr-x
2019-06-16 09:49
a2enmod
15.89
KB
-rwxr-xr-x
2019-06-16 09:49
a2ensite
15.89
KB
-rwxr-xr-x
2019-06-16 09:49
a2query
9.64
KB
-rwxr-xr-x
2019-10-13 15:43
accessdb
10.23
KB
-rwxr-xr-x
2016-12-13 13:10
add-shell
860
B
-rwxr-xr-x
2017-04-02 17:10
addgnupghome
3.01
KB
-rwxr-xr-x
2019-02-07 20:57
addgroup
33.7
KB
-rwxr-xr-x
2016-06-26 22:55
adduser
33.7
KB
-rwxr-xr-x
2016-06-26 22:55
apache2
651.13
KB
-rwxr-xr-x
2019-10-13 15:43
apache2ctl
7.05
KB
-rwxr-xr-x
2019-10-13 15:39
apachectl
7.05
KB
-rwxr-xr-x
2019-10-13 15:39
applygnupgdefaults
2.17
KB
-rwxr-xr-x
2019-02-07 20:57
arpd
46.84
KB
-rwxr-xr-x
2017-11-24 09:22
aspell-autobuildhash
13.22
KB
-rwxr-xr-x
2016-10-10 09:58
biosdecode
18.82
KB
-rwxr-xr-x
2016-09-01 02:59
check_forensic
952
B
-rwxr-xr-x
2011-04-26 15:10
chgpasswd
57.8
KB
-rwxr-xr-x
2017-05-17 11:59
chpasswd
49.9
KB
-rwxr-xr-x
2017-05-17 11:59
chroot
38.88
KB
-rwxr-xr-x
2017-02-22 12:23
cpgr
52
KB
-rwxr-xr-x
2017-05-17 11:59
cppw
52
KB
-rwxr-xr-x
2017-05-17 11:59
cron
47.48
KB
-rwxr-xr-x
2017-10-07 13:38
delgroup
15.43
KB
-rwxr-xr-x
2016-06-26 22:55
deluser
15.43
KB
-rwxr-xr-x
2016-06-26 22:55
dmidecode
102.49
KB
-rwxr-xr-x
2016-09-01 02:59
dpkg-preconfigure
3.52
KB
-rwxr-xr-x
2017-05-21 17:08
dpkg-reconfigure
4.23
KB
-rwxr-xr-x
2017-05-21 17:08
e2freefrag
10.07
KB
-rwxr-xr-x
2020-07-25 09:03
e4crypt
22.07
KB
-rwxr-xr-x
2020-07-25 09:03
e4defrag
25.99
KB
-rwxr-xr-x
2020-07-25 09:03
fdformat
30.66
KB
-rwxr-xr-x
2018-03-07 18:29
ferm
83.84
KB
-rwxr-xr-x
2016-03-30 12:16
filefrag
14.02
KB
-rwxr-xr-x
2020-07-25 09:03
genl
50.79
KB
-rwxr-xr-x
2017-11-24 09:22
groupadd
57.86
KB
-rwxr-xr-x
2017-05-17 11:59
groupdel
53.65
KB
-rwxr-xr-x
2017-05-17 11:59
groupmems
53.84
KB
-rwxr-xr-x
2017-05-17 11:59
groupmod
68.22
KB
-rwxr-xr-x
2017-05-17 11:59
grpck
53.77
KB
-rwxr-xr-x
2017-05-17 11:59
grpconv
49.65
KB
-rwxr-xr-x
2017-05-17 11:59
grpunconv
49.65
KB
-rwxr-xr-x
2017-05-17 11:59
grub-bios-setup
790.19
KB
-rwxr-xr-x
2019-06-12 11:20
grub-install
996.58
KB
-rwxr-xr-x
2019-06-12 11:20
grub-macbless
777.88
KB
-rwxr-xr-x
2019-06-12 11:20
grub-mkconfig
7.82
KB
-rwxr-xr-x
2019-06-12 11:20
grub-mkdevicemap
204.47
KB
-rwxr-xr-x
2019-06-12 11:20
grub-probe
790.19
KB
-rwxr-xr-x
2019-06-12 11:20
grub-reboot
4.01
KB
-rwxr-xr-x
2019-06-12 11:20
grub-set-default
3.48
KB
-rwxr-xr-x
2019-06-12 11:20
httxt2dbm
9.99
KB
-rwxr-xr-x
2019-10-13 15:43
iconvconfig
22.66
KB
-rwxr-xr-x
2019-02-06 21:17
import-ferm
16.81
KB
-rwxr-xr-x
2016-03-30 12:16
install-sgmlcatalog
4.44
KB
-rwxr-xr-x
2016-11-07 07:06
invoke-rc.d
17.69
KB
-rwxr-xr-x
2017-05-02 10:20
iotop
496
B
-rwxr-xr-x
2016-07-29 10:25
ip6tables-apply
6.85
KB
-rwxr-xr-x
2017-04-12 09:41
iptables-apply
6.85
KB
-rwxr-xr-x
2017-04-12 09:41
irqbalance
55.38
KB
-rwxr-xr-x
2017-03-10 18:56
ispell-autobuildhash
15.39
KB
-rwxr-xr-x
2016-10-10 09:58
laptop-detect
2.53
KB
-rwxr-xr-x
2016-12-27 03:11
ldattach
30.71
KB
-rwxr-xr-x
2018-03-07 18:29
locale-gen
1.5
KB
-rwxr-xr-x
2017-07-31 14:32
logrotate
75.27
KB
-rwxr-xr-x
2017-01-07 18:54
make-ssl-cert
3.78
KB
-rwxr-xr-x
2017-04-28 19:58
mkinitramfs
10.01
KB
-rwxr-xr-x
2017-04-26 01:00
mklost+found
9.99
KB
-rwxr-xr-x
2020-07-25 09:03
mysqld
17.05
MB
-rwxr-xr-x
2021-01-31 16:38
newusers
78.43
KB
-rwxr-xr-x
2017-05-17 11:59
nfnl_osf
13.99
KB
-rwxr-xr-x
2017-04-12 09:41
nologin
5.99
KB
-rwxr-xr-x
2017-05-17 11:59
ownership
10.13
KB
-rwxr-xr-x
2016-09-01 02:59
pam-auth-update
19.03
KB
-rwxr-xr-x
2017-05-27 15:44
pam_getenv
2.82
KB
-rwxr-xr-x
2017-05-27 15:44
pam_timestamp_check
10.37
KB
-rwxr-xr-x
2017-05-27 15:44
paperconfig
4.07
KB
-rwxr-xr-x
2016-11-11 11:28
phpdismod
7.11
KB
-rwxr-xr-x
2019-08-14 06:09
phpenmod
7.11
KB
-rwxr-xr-x
2019-08-14 06:09
phpquery
6.24
KB
-rwxr-xr-x
2019-08-14 06:09
pwck
49.84
KB
-rwxr-xr-x
2017-05-17 11:59
pwconv
45.74
KB
-rwxr-xr-x
2017-05-17 11:59
pwunconv
41.72
KB
-rwxr-xr-x
2017-05-17 11:59
readprofile
18.59
KB
-rwxr-xr-x
2018-03-07 18:29
remove-default-ispell
2.86
KB
-rwxr-xr-x
2016-10-10 09:58
remove-default-wordlist
2.86
KB
-rwxr-xr-x
2016-10-10 09:58
remove-shell
904
B
-rwxr-xr-x
2017-04-02 17:10
rmt
55.03
KB
-rwxr-xr-x
2016-10-30 06:35
rmt-tar
55.03
KB
-rwxr-xr-x
2016-10-30 06:35
rsyslogd
636.3
KB
-rwxr-xr-x
2017-01-18 22:14
rtcwake
42.81
KB
-rwxr-xr-x
2018-03-07 18:29
safe_finger
10.08
KB
-rwxr-xr-x
2016-12-25 23:08
select-default-ispell
3.23
KB
-rwxr-xr-x
2016-10-10 09:58
select-default-wordlist
3.21
KB
-rwxr-xr-x
2016-10-10 09:58
service
9.83
KB
-rwxr-xr-x
2017-05-02 10:20
setvesablank
10.36
KB
-rwxr-xr-x
2016-01-05 16:55
split-logfile
2.36
KB
-rwxr-xr-x
2019-10-13 15:43
sshd
772.48
KB
-rwxr-xr-x
2019-07-15 13:32
tarcat
936
B
-rwxr-xr-x
2016-10-30 06:35
tcpd
10
KB
-rwxr-xr-x
2016-12-25 23:08
tcpdchk
22.13
KB
-rwxr-xr-x
2016-12-25 23:08
tcpdmatch
18.04
KB
-rwxr-xr-x
2016-12-25 23:08
tcptraceroute
1.56
KB
-rwxr-xr-x
2016-08-29 15:45
tcptraceroute.db
1.56
KB
-rwxr-xr-x
2016-08-29 15:45
traceroute
67.16
KB
-rwxr-xr-x
2016-08-29 15:45
try-from
10
KB
-rwxr-xr-x
2016-12-25 23:08
tunelp
26.61
KB
-rwxr-xr-x
2018-03-07 18:29
tzconfig
106
B
-rwxr-xr-x
2019-10-11 07:23
update-ca-certificates
4.85
KB
-rwxr-xr-x
2020-06-05 16:52
update-catalog
9.15
KB
-rwxr-xr-x
2016-11-07 07:06
update-default-aspell
1
KB
-rwxr-xr-x
2016-10-10 09:58
update-default-ispell
9.68
KB
-rwxr-xr-x
2016-10-10 09:58
update-default-wordlist
7.5
KB
-rwxr-xr-x
2016-10-10 09:58
update-dictcommon-aspell
1
KB
-rwxr-xr-x
2016-10-10 09:58
update-dictcommon-hunspell
782
B
-rwxr-xr-x
2016-10-10 09:58
update-grub
64
B
-rwxr-xr-x
2019-06-12 11:20
update-grub2
64
B
-rwxr-xr-x
2019-06-12 11:20
update-gsfontmap
450
B
-rwxr-xr-x
2020-08-20 14:04
update-initramfs
8.02
KB
-rwxr-xr-x
2017-03-06 22:42
update-locale
2.99
KB
-rwxr-xr-x
2016-03-20 23:45
update-mime
8.84
KB
-rwxr-xr-x
2016-05-01 11:20
update-passwd
30.41
KB
-rwxr-xr-x
2017-01-16 15:52
update-pciids
2.84
KB
-rwxr-xr-x
2016-11-30 06:53
update-rc.d
15.69
KB
-rwxr-xr-x
2017-05-02 10:20
update-xmlcatalog
16.88
KB
-rwxr-xr-x
2016-11-07 14:53
upgrade-from-grub-legacy
1.49
KB
-rwxr-xr-x
2019-06-12 11:20
useradd
119.29
KB
-rwxr-xr-x
2017-05-17 11:59
userdel
82.49
KB
-rwxr-xr-x
2017-05-17 11:59
usermod
119.1
KB
-rwxr-xr-x
2017-05-17 11:59
validlocale
1.73
KB
-rwxr-xr-x
2016-03-20 23:45
vcstime
6.24
KB
-rwxr-xr-x
2016-01-05 16:55
vigr
60.22
KB
-rwxr-xr-x
2017-05-17 11:59
vipw
60.22
KB
-rwxr-xr-x
2017-05-17 11:59
visudo
200.34
KB
-rwxr-xr-x
2021-01-23 09:10
vpddecode
14.27
KB
-rwxr-xr-x
2016-09-01 02:59
zic
42.54
KB
-rwxr-xr-x
2019-02-06 21:17
Save
Rename
#!/bin/sh umask 0022 export PATH='/usr/bin:/sbin:/bin' # Defaults keep="n" CONFDIR="/etc/initramfs-tools" verbose="n" # Will be updated by busybox's conf hook, if present BUSYBOXDIR= export BUSYBOXDIR OPTIONS=`getopt -o c:d:ko:r:v -n "$0" -- "$@"` # Check for non-GNU getopt if [ $? != 0 ] ; then echo "W: non-GNU getopt" >&2 ; exit 1 ; fi eval set -- "$OPTIONS" while true; do case "$1" in -c) compress="$2" shift 2 ;; -d) CONFDIR="$2" shift 2 if [ ! -d "${CONFDIR}" ]; then echo "${0}: ${CONFDIR}: Not a directory" >&2 exit 1 fi ;; -o) outfile="$2" shift 2 ;; -k) keep="y" shift ;; -r) ROOT="$2" shift 2 ;; -v) verbose="y" shift ;; --) shift break ;; *) echo "Internal error!" >&2 exit 1 ;; esac done # For dependency ordered mkinitramfs hook scripts. . /usr/share/initramfs-tools/scripts/functions . /usr/share/initramfs-tools/hook-functions . "${CONFDIR}/initramfs.conf" EXTRA_CONF='' for i in /usr/share/initramfs-tools/conf.d/* ${CONFDIR}/conf.d/*; do [ -e $i ] && EXTRA_CONF="${EXTRA_CONF} $(basename $i \ | grep '^[[:alnum:]][[:alnum:]\._-]*$' | grep -v '\.dpkg-.*$')"; done # FIXME: deprecated those settings on mkinitramfs run # these conf dirs are for boot scripts and land on initramfs for i in ${EXTRA_CONF}; do if [ -d ${CONFDIR}/conf.d/${i} ]; then echo "Warning: ${CONFDIR}/conf.d/${i} is a directory instead of file, ignoring." elif [ -e ${CONFDIR}/conf.d/${i} ]; then . ${CONFDIR}/conf.d/${i} elif [ -e /usr/share/initramfs-tools/conf.d/${i} ]; then . /usr/share/initramfs-tools/conf.d/${i} fi done # source package confs for i in /usr/share/initramfs-tools/conf-hooks.d/*; do if [ -d "${i}" ]; then echo "Warning: ${i} is a directory instead of file, ignoring." elif [ -e "${i}" ]; then . "${i}" fi done # Check busybox dependency if [ "${BUSYBOX}" = "y" ] && [ -z "${BUSYBOXDIR}" ]; then echo >&2 "E: busybox or busybox-static, version 1:1.22.0-17~ or later, is required but not installed" exit 1 fi if [ -n "${UMASK:-}" ]; then umask "${UMASK}" fi if [ -z "${outfile}" ]; then usage fi touch "$outfile" outfile="$(readlink -f "$outfile")" # And by "version" we really mean path to kernel modules # This is braindead, and exists to preserve the interface with mkinitrd if [ ${#} -ne 1 ]; then version="$(uname -r)" else version="${1}" fi case "${version}" in /lib/modules/*/[!/]*) ;; /lib/modules/[!/]*) version="${version#/lib/modules/}" version="${version%%/*}" ;; esac case "${version}" in */*) echo "$PROG: ${version} is not a valid kernel version" >&2 exit 1 ;; esac # Check userspace and kernel support for compressed initramfs images if [ -z "${compress:-}" ]; then compress=${COMPRESS} else COMPRESS=${compress} fi if ! command -v "${compress}" >/dev/null 2>&1; then compress=gzip [ "${verbose}" = y ] && \ echo "No ${COMPRESS} in ${PATH}, using gzip" COMPRESS=gzip fi if dpkg --compare-versions "${version}" lt "2.6.38" 2>/dev/null; then compress=gzip [ "${verbose}" = y ] && \ echo "linux-2.6 likely misses ${COMPRESS} support, using gzip" fi [ "${compress}" = lzop ] && compress="lzop -9" [ "${compress}" = xz ] && compress="xz --check=crc32" if [ -d "${outfile}" ]; then echo "${outfile} is a directory" >&2 exit 1 fi MODULESDIR="/lib/modules/${version}" if [ ! -e "${MODULESDIR}" ]; then echo "WARNING: missing ${MODULESDIR}" echo "Ensure all necessary drivers are built into the linux image!" fi if [ ! -e "${MODULESDIR}/modules.dep" ]; then depmod ${version} fi # Prepare to clean up temporary files on exit DESTDIR= __TMPCPIOGZ= __TMPEARLYCPIO= clean_on_exit() { if [ "${keep}" = "y" ]; then echo "Working files in ${DESTDIR:-<not yet created>}, early initramfs in ${__TMPEARLYCPIO:-<not yet created>} and overlay in ${__TMPCPIOGZ:-<not yet created>}" else for path in "${DESTDIR}" "${__TMPCPIOGZ}" "${__TMPEARLYCPIO}"; do test -z "${path}" || rm -rf "${path}" done fi } trap clean_on_exit EXIT trap "exit 1" INT TERM # makes the EXIT trap effective even when killed # Create temporary directory and files for initramfs contents [ -n "${TMPDIR}" ] && [ ! -w "${TMPDIR}" ] && unset TMPDIR DESTDIR="$(mktemp -d ${TMPDIR:-/var/tmp}/mkinitramfs_XXXXXX)" || exit 1 chmod 755 "${DESTDIR}" __TMPCPIOGZ="$(mktemp ${TMPDIR:-/var/tmp}/mkinitramfs-OL_XXXXXX)" || exit 1 __TMPEARLYCPIO="$(mktemp ${TMPDIR:-/var/tmp}/mkinitramfs-FW_XXXXXX)" || exit 1 DPKG_ARCH=`dpkg --print-architecture` # Export environment for hook scripts. # export MODULESDIR export version export CONFDIR export DESTDIR export DPKG_ARCH export verbose export KEYMAP export MODULES export BUSYBOX export RESUME # Private, used by 'catenate_cpiogz'. export __TMPCPIOGZ # Private, used by 'prepend_earlyinitramfs'. export __TMPEARLYCPIO for d in bin conf/conf.d etc lib/modules run sbin scripts ${MODULESDIR}; do mkdir -p "${DESTDIR}/${d}" done # Copy in modules.builtin and modules.order (not generated by depmod) for x in modules.builtin modules.order; do if [ -f "${MODULESDIR}/${x}" ]; then cp -p "${MODULESDIR}/${x}" "${DESTDIR}${MODULESDIR}/${x}" fi done # MODULES=list case. Always honour. for x in "${CONFDIR}/modules" /usr/share/initramfs-tools/modules.d/*; do if [ -f "${x}" ]; then add_modules_from_file "${x}" fi done # MODULES=most is default case "${MODULES}" in dep) dep_add_modules ;; most) auto_add_modules ;; netboot) auto_add_modules base auto_add_modules net ;; list) # nothing to add ;; *) echo "W: mkinitramfs: unsupported MODULES setting: ${MODULES}." echo "W: mkinitramfs: Falling back to MODULES=most." auto_add_modules ;; esac # Resolve hidden dependencies hidden_dep_add_modules # First file executed by linux cp -p /usr/share/initramfs-tools/init ${DESTDIR}/init # add existant boot scripts for b in $(cd /usr/share/initramfs-tools/scripts/ && find . \ -regextype posix-extended -regex '.*/[[:alnum:]\._-]+$' -type f); do [ -d "${DESTDIR}/scripts/$(dirname "${b}")" ] \ || mkdir -p "${DESTDIR}/scripts/$(dirname "${b}")" cp -p "/usr/share/initramfs-tools/scripts/${b}" \ "${DESTDIR}/scripts/$(dirname "${b}")/" done # Prune dot-files/directories and limit depth to exclude VCS files for b in $(cd "${CONFDIR}/scripts" && find . -maxdepth 2 -name '.?*' -prune -o \ -regextype posix-extended -regex '.*/[[:alnum:]\._-]+$' -type f -print); do [ -d "${DESTDIR}/scripts/$(dirname "${b}")" ] \ || mkdir -p "${DESTDIR}/scripts/$(dirname "${b}")" cp -p "${CONFDIR}/scripts/${b}" "${DESTDIR}/scripts/$(dirname "${b}")/" done echo "DPKG_ARCH=${DPKG_ARCH}" > ${DESTDIR}/conf/arch.conf cp -p "${CONFDIR}/initramfs.conf" ${DESTDIR}/conf for i in ${EXTRA_CONF}; do if [ -e "${CONFDIR}/conf.d/${i}" ]; then copy_file config "${CONFDIR}/conf.d/${i}" /conf/conf.d elif [ -e "/usr/share/initramfs-tools/conf.d/${i}" ]; then copy_file config "/usr/share/initramfs-tools/conf.d/${i}" \ /conf/conf.d fi done # ROOT hardcoding if [ -n "${ROOT:-}" ]; then echo "ROOT=${ROOT}" > ${DESTDIR}/conf/conf.d/root fi if ! command -v ldd >/dev/null 2>&1 ; then echo "WARNING: no ldd around - install libc-bin" >&2 exit 1 fi # fstab and mtab touch "${DESTDIR}/etc/fstab" ln -s /proc/mounts "${DESTDIR}/etc/mtab" # module-init-tools copy_exec /sbin/modprobe /sbin copy_exec /sbin/rmmod /sbin mkdir -p "${DESTDIR}/etc/modprobe.d" "${DESTDIR}/lib/modprobe.d" for file in /etc/modprobe.d/*.conf /lib/modprobe.d/*.conf ; do if test -e "$file" || test -L "$file" ; then copy_file config "$file" fi done # workaround: libgcc always needed on old-abi arm if [ "$DPKG_ARCH" = arm ] || [ "$DPKG_ARCH" = armeb ]; then cp -a /lib/libgcc_s.so.1 "${DESTDIR}/lib/" fi run_scripts /usr/share/initramfs-tools/hooks run_scripts "${CONFDIR}"/hooks # Avoid double sleep when using older udev scripts sed -i 's/^\s*sleep \$ROOTDELAY$/:/' "${DESTDIR}/scripts/init-top/udev" # cache boot run order for b in $(cd "${DESTDIR}/scripts" && find . -mindepth 1 -type d); do cache_run_scripts "${DESTDIR}" "/scripts/${b#./}" done # generate module deps depmod -a -b "${DESTDIR}" ${version} rm -f "${DESTDIR}/lib/modules/${version}"/modules.*map # make sure that library search path is up to date cp -ar /etc/ld.so.conf* "$DESTDIR"/etc/ if ! ldconfig -r "$DESTDIR" ; then [ $(id -u) != "0" ] \ && echo "ldconfig might need uid=0 (root) for chroot()" >&2 fi # Apply DSDT to initramfs if [ -e "${CONFDIR}/DSDT.aml" ]; then copy_file DSDT "${CONFDIR}/DSDT.aml" fi # Make sure there is a final sh in initramfs if [ ! -e "${DESTDIR}/bin/sh" ]; then copy_exec /bin/sh "${DESTDIR}/bin/" fi # dirty hack for armhf's double-linker situation; if we have one of # the two known eglibc linkers, nuke both and re-create sanity if [ "$DPKG_ARCH" = armhf ]; then if [ -e "${DESTDIR}/lib/arm-linux-gnueabihf/ld-linux.so.3" ] || \ [ -e "${DESTDIR}/lib/ld-linux-armhf.so.3" ]; then rm -f "${DESTDIR}/lib/arm-linux-gnueabihf/ld-linux.so.3" rm -f "${DESTDIR}/lib/ld-linux-armhf.so.3" cp -aL /lib/ld-linux-armhf.so.3 "${DESTDIR}/lib/" ln -sf /lib/ld-linux-armhf.so.3 "${DESTDIR}/lib/arm-linux-gnueabihf/ld-linux.so.3" fi fi [ "${verbose}" = y ] && echo "Building cpio ${outfile} initramfs" if [ -s "${__TMPEARLYCPIO}" ]; then cat "${__TMPEARLYCPIO}" >"${outfile}" || exit 1 else # truncate > "${outfile}" fi ( # preserve permissions if root builds the image, see #633582 [ "$(id -ru)" != 0 ] && cpio_owner_root="-R 0:0" # work around lack of "set -o pipefail" for the following pipe: # cd "${DESTDIR}" && find . | cpio --quiet $cpio_owner_root -o -H newc | gzip >>"${outfile}" || exit 1 exec 3>&1 eval ` # http://cfaj.freeshell.org/shell/cus-faq-2.html exec 4>&1 >&3 3>&- cd "${DESTDIR}" { find . 4>&-; echo "ec1=$?;" >&4 } | { cpio --quiet $cpio_owner_root -o -H newc 4>&-; echo "ec2=$?;" >&4 } | ${compress} >>"${outfile}" echo "ec3=$?;" >&4 ` if [ "$ec1" -ne 0 ]; then echo "E: mkinitramfs failure find $ec1 cpio $ec2 $compress $ec3" exit "$ec1" fi if [ "$ec2" -ne 0 ]; then echo "E: mkinitramfs failure cpio $ec2 $compress $ec3" exit "$ec2" fi if [ "$ec3" -ne 0 ]; then echo "E: mkinitramfs failure $compress $ec3" exit "$ec3" fi ) || exit 1 if [ -s "${__TMPCPIOGZ}" ]; then cat "${__TMPCPIOGZ}" >>"${outfile}" || exit 1 fi exit 0